%define upstream_name    Alien-gmake
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Find or build GNU Make
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien) >= 0.560.0
BuildArch:  noarch

%description
Some packages insist on using GNU Make. Some platforms refuse to come with
GNU Make. Sometimes you just want to be able to build packages that require
GNU Make without having to check the version of Make each time. This module
is for that. It uses the system provided GNU Make if it can be found.
Otherwise it will download and install it into a directory not normally in
your path so that it can be used when you 'use Alien::gmake'. This way you
can use it when you need it, but not muck up your environment when you
don't.

If possible, it is better to fix the package so that it doesn't require GNU
make extensions, making it more portable. Unfortunately, sometimes this
isn't an option.

This class is a subclass of the Alien::Base manpage, so all of the methods
documented there should work with this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-3.mga8
+ Revision: 1503465
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 tv <tv> 0.210.0-2.mga7
+ Revision: 1281707
- fix filelist
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1204905
- update to 0.21

* Fri Nov 03 2017 shlomif <shlomif> 0.200.0-1.mga7
+ Revision: 1175686
- imported package perl-Alien-gmake


* Fri Nov 03 2017 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
